%define upstream_name    Devel-Declare
%define upstream_version 0.006003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Adding keywords to perl, in perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope) >= 0.50.0
BuildRequires: perl(B::Hooks::OP::Check) >= 0.180.0
BuildRequires: perl(ExtUtils::Depends) >= 0.302.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Scalar::Util) >= 1.110.0
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl-devel
%description
Devel::Declare can install subroutines called declarators which locally
take over Perl's parser, allowing the creation of new syntax.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorarch/Devel
%perl_vendorarch/auto/Devel

%changelog
* Tue Apr 12 2011 jquelin <jquelin> 1:0.6.3-1.mga1
+ Revision: 83750
- update to 0.006003

* Mon Apr 11 2011 jquelin <jquelin> 1:0.6.2-1.mga1
+ Revision: 83346
- update to 0.006002

* Sat Feb 26 2011 jquelin <jquelin> 1:0.6.1-1.mga1
+ Revision: 60788
- update to 0.006001

* Sun Jan 23 2011 jquelin <jquelin> 1:0.6.0-3.mga1
+ Revision: 33710
- mageia rebuild
- imported package perl-Devel-Declare


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.6.0-3mdv2011.0
+ Revision: 555792
- rebuild for perl 5.12
- rebuild

* Tue Mar 09 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.6.0-1mdv2010.1
+ Revision: 517112
- update to 0.006000

* Mon Aug 17 2009 Jérôme Quelin <jquelin@mandriva.org> 1:0.5.11-1mdv2010.0
+ Revision: 417150
- adding missing buildrequires:
- update to 0.005011

* Tue Aug 11 2009 Jérôme Quelin <jquelin@mandriva.org> 1:0.5.9-1mdv2010.0
+ Revision: 415003
- bumping epoch
- update to 0.005009

* Wed Jul 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.005007-1mdv2010.0
+ Revision: 396217
- update to new version 0.005007

* Thu Jun 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.005006-1mdv2010.0
+ Revision: 387007
- update to new version 0.005006

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.005005-1mdv2010.0
+ Revision: 383477
- update to new version 0.005005

* Mon May 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.005003-1mdv2010.0
+ Revision: 379605
- update to new version 0.005003

* Mon May 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.005002-1mdv2010.0
+ Revision: 374550
- update to new version 0.005002

* Thu May 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.005001-1mdv2010.0
+ Revision: 373027
- update to new version 0.005001

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.005000-1mdv2010.0
+ Revision: 370050
- update to new version 0.005000

* Sun Dec 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.003004-1mdv2009.1
+ Revision: 314245
- update to new version 0.003004

* Wed Nov 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.003003-1mdv2009.1
+ Revision: 307111
- import perl-Devel-Declare


* Wed Nov 26 2008 cpan2dist 0.003003-1mdv
- initial mdv release, generated with cpan2dist

